function p.get_is_solid() return true end
function p.get_tex() return "block_default" end

function p.main()
    set_default_block("e")

    local msg_str = "Crouching is accomplished by calling the function "
        .. "^x00ff00ga_move_set_body_ground^!. "
        .. "This function will \n"
        .. "1) switch the player to ground mode,\n"
        .. "2) teleport the player, and\n"
        .. "3) change the player's dimensions\n"
        .. "all in one atomic operation. "
        .. "If after this the player is colliding with the world, "
        .. "then these changes will be reverted "
        .. "(and the function will return false). "
    h.txt(7,11,4,msg_str)

    msg_str = "Hold down the ^xff0000left control^! key "
        .. "to crouch and go through this hole.\n\n"
        .. "Note that if you stop holding the "
        .. "crouch key while inside the hole, "
        .. "you will still remain crouched. "
    h.txt(7,11,2,msg_str)

    msg_str = "When a new game is created, "
        .. "the player's body dimensions should be initialized. "
        .. "This is done by calling ga_move_set_body_ground. "
        .. "In this package, this is accomplised in the file "
        .. "tut2_init_body.lua in the \"try\" function, "
        .. "which is called each cycle in \"top.update_discrete\". \n\n"
        .. "Read these files for more details. \n\n"
        .. "If you do not initilize the player's body, "
        .. "by default the game will be in "
        .. "\"fly\" mode, not \"ground\" mode. "
    h.txt(13,4,2,msg_str)

    --Wall with a tunnel you can crouch through.
    create_rect("s", 0,6,0, 15,9,15)
    set_pos(7,9,0,"e")
    set_pos(7,8,0,"e")
    set_pos(7,7,0,"e")
    set_pos(7,6,0,"e")
end

